<script>
export default {
  name: "BaseItem",
  model: {
    prop: "item",
    event: "change"
  },
  props: {
    item: {
      default() {
        return {
          list: []
        };
      }
    }
  },
  data() {
    return {
      // 自己的数据对象
      itemData: {}
    };
  },
  watch: {
    item: {
      deep: true,
      handler(item) {
        this.change(item);
      }
    }
  },
  methods: {
    change(item) {
      this.$emit("change", item || this.item);
    },
  }
};
</script>